# Generated by Django 3.2.6 on 2021-08-15 23:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('modern_health', '0002_alter_activity_id'),
    ]

    operations = [
        migrations.CreateModel(
            name='Program',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='Section',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('description', models.TextField()),
                ('overview_image', models.ImageField(upload_to='')),
                ('order_index', models.IntegerField()),
                ('program', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='modern_health.program')),
            ],
        ),
        migrations.AddField(
            model_name='activity',
            name='section',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='modern_health.section'),
        ),
        migrations.AddIndex(
            model_name='section',
            index=models.Index(fields=['order_index'], name='modern_heal_order_i_105b3c_idx'),
        ),
    ]
